For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • POSTPersonal Sign
      • POSTSign Typed Data
      • POSTSign Typed Data With Lookup
      • GETGet EIP191 Personal Signatures by Project
      • GETGet EIP191 Personal Signature by ID
      • GETGet EIP712 Typed Data Signatures by Project
      • GETGET EIP712 Typed Data Signature by ID
LogoLogo
Contact usDashboard
APISignatures

Get EIP712 Typed Data Signatures by Project

GET
https://api.syndicate.io/wallet/project/:projectId/signatures
GET
/wallet/project/:projectId/signatures
$curl https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/signatures \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "signatureId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
4 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
5 "walletAddress": "walletAddress",
6 "domain": {
7 "chainId": 1,
8 "name": "name",
9 "version": "version",
10 "verifyingContract": "verifyingContract",
11 "salt": "salt"
12 },
13 "types": {
14 "types": [
15 {
16 "name": "name",
17 "type": "type"
18 }
19 ]
20 },
21 "message": {
22 "message": {
23 "key": "value"
24 }
25 },
26 "primaryType": "primaryType",
27 "signature": "signature",
28 "createdAt": "2024-01-15T09:30:00Z",
29 "lookups": [
30 {
31 "chainId": 1,
32 "contractAddress": "contractAddress",
33 "functionSignature": "functionSignature",
34 "type": "contract",
35 "args": {
36 "args": {
37 "key": "value"
38 }
39 }
40 }
41 ]
42 }
43]
Get EIP712 typed data signatures for a project
Was this page helpful?
Previous

GET EIP712 Typed Data Signature by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdUUIDRequired

Response

This endpoint returns a set of objects.
signatureIdUUID
projectIdUUID
walletAddressstring
domainobject
typesmap from strings to sets of objects
messagemap from strings to any
primaryTypestring
signaturestring
createdAtdatetime
lookupsset of objects